Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class LastModified

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.LastModified

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class LastModified
extends AbstractTag

Writes the date and time of last modification of the page.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATE_FULL`
`static java.lang.String` | `DATE_NORMAL`
`static java.lang.String` | `MODE_ALL`
`static java.lang.String` | `MODE_HIDDEN`
`static java.lang.String` | `MODE_STATIC`

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LastModified()`

Method Summary
`java.lang.String` | `getDate()`
`java.lang.String` | `getMode()`
`java.lang.String` | `getPost()`
`java.lang.String` | `getPre()`
`java.lang.String` | `getUpdate()`
`void` | `setDate(java.lang.String date)`
`void` | `setMode(java.lang.String mode)`
`void` | `setPost(java.lang.String post)`
`void` | `setPre(java.lang.String pre)`
`void` | `setUpdate(java.lang.String update)`
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue, writeEditTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_NORMAL

    public static final java.lang.String DATE_NORMAL

See Also:
  Constant Field Values

### DATE_FULL

    public static final java.lang.String DATE_FULL

See Also:
  Constant Field Values

### MODE_STATIC

    public static final java.lang.String MODE_STATIC

See Also:
  Constant Field Values

### MODE_ALL

    public static final java.lang.String MODE_ALL

See Also:
  Constant Field Values

### MODE_HIDDEN

    public static final java.lang.String MODE_HIDDEN

See Also:
  Constant Field Values

Constructor Detail

### LastModified

    public LastModified()

Method Detail

### setDate

    public void setDate(java.lang.String date)

### setMode

    public void setMode(java.lang.String mode)

### setPre

    public void setPre(java.lang.String pre)

### setPost

    public void setPost(java.lang.String post)

### writeTag

    public void writeTag()
                  throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### getDate

    public java.lang.String getDate()

### getMode

    public java.lang.String getMode()

### getPre

    public java.lang.String getPre()

### getPost

    public java.lang.String getPost()

### getUpdate

    public java.lang.String getUpdate()

### setUpdate

    public void setUpdate(java.lang.String update)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD